# ux-accordion



<!-- Auto Generated Below -->


## Properties

| Property           | Attribute            | Description                                                                 | Type      | Default                 |
| ------------------ | -------------------- | --------------------------------------------------------------------------- | --------- | ----------------------- |
| `activeTitleClass` | `active-title-class` | The class to be passes to the title of the accordion when it becomes active | `string`  | `"ux-text-link--green"` |
| `locked`           | `locked`             | The accordion will be locked in the current status if the prop is set       | `boolean` | `false`                 |
| `noAccordionFrom`  | `no-accordion-from`  | the amount in pixels from wich the accordion functionality is deactivated   | `number`  | `null`                  |


## Slots

| Slot          | Description                         |
| ------------- | ----------------------------------- |
| `"(default)"` | The content of the accordion        |
| `"title"`     | the element for the accordion title |


## Dependencies

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-accordion --> ux-icon
  style ux-accordion fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
